//PC_Comm.c
//A program max 32 karakterbol allo csomagokat fogad, ezeket
//elemzi es az elemzes eredmenytol fuggoen uzen a Terminal programnak

#include "uart.h"
#include "adc.h"
#include "adc_parse.h"


int main(void) {
  char string[64];
  unsigned char count = 0;

  //Az USARTot inicializalo program futtatasa
  USARTinit();

  //Inicializaljuk az ADC-t
  ADC_init();

  //Udvozles
  sendString("A PC_Comm.c kesz kommunikalni.\r");

  //A program bemutatkozasa
  sendString("Jelenleg az ADC demoval kommunikal.\r\r");

  //A parancsok bemutatasa
	sendString("Parancsok:\r");
	sendString("light - a fenyero erteket adja vissza.\r");
	sendString("temp - a homersekletet adja vissza.\r");
	sendString("volt - a feszultseg erteket adja vissza.\r");
    

  //A vegtelen, szamitogeppel valo, beszelgetes elkezdese
  for (;;) {
    //Ellenorzes, varakozik-e egy karakter
    if (isCharAvailable() == 1) {
      //Ha megerkezett egy karakter, elkapni azt
      string[count++] = receiveChar();

      //Maximum 64 byte-os csomag fogadasa
      if (string[count - 1] == '\r') { //A Hyperterminal string befejezese \r karakterekkel
        string[count - 1] = '\0'; //Stringge konvertalas
        parseInput(string);
        sendChar('\r');
        string[0] = '\0';
        count = 0;
      }

      else if (count > 64) {
        count = 0;
        string[0] = '\0';
        sendString("Hiba - > mint 64 karakter erkezett.\r");
      }
    }
  }

  return(0);
}
